Results 1 to 8 of 8

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: iPhone has "Repair Needed" but I can't downgrade my OTB 1.1.2 to fix it

  1. #1
    Default iPhone has "Repair Needed" but I can't downgrade my OTB 1.1.2 to fix it
    My iPhone came with the 1.1.2 firmware installed, and now I'm getting the "Repair needed - iPhone cannot make or receive calls" error. I have read about fixing this problem, but in order to fix the "Repair Needed" error, I need to downgrade the firmware, and to downgrade the firmware, I need to downgrade the bootloader. Since I restored the iPhone, hoping it would fix my error, the phone is on the "Repair Needed" screen. Since I can't make calls, I can't unlock the it to install the neccessary files to downgrade the bootloader. Is there any hope? If you need any more information, please let me know and I'll try to get it to you.
    Thanks for your help!

  2. #2
    You don't need to downgrade the bootloader unless you are unlocking.

    Try going down to 1.0.2, you don't need to call to jailbreak on that.

  3. #3
    I tried downgrading to 1.0.2, but it hangs at "Waiting for iPhone". It was stuck there for about 3 1/2 hours this morning. I read several places that the OTB 1.1.2 can't be downgraded to a 1.0.2 because it has a newer bootloader.

  4. #4
    Quote Originally Posted by ipodrepairguy View Post
    I tried downgrading to 1.0.2, but it hangs at "Waiting for iPhone". It was stuck there for about 3 1/2 hours this morning. I read several places that the OTB 1.1.2 can't be downgraded to a 1.0.2 because it has a newer bootloader.
    DOn't sttempt a restore if you have terminal on you phone. You can restore the baseband by completing the rest of the process, It will be slugish to try to input all the command, with the response being slow and the backspace key non functioning. ITs worth all that frustration than having a FUBAR'd phone.

    Use jailbreak 1.1.2 and just use it to reboot the phone and try to complete the process. Hopefully trying to restore to 1.0.2 didn't write anything to the phone.

    Downgrading to 1.0.2 won't work on a OTB 1.1.2 phone. You need to try to
    downgrade to 1.1.1 or even 1.1.2 to try to restore baseband as a last resort if everything above doesn't work.

    If it doesn't work, you need to wait for 1.1.4 to come out (maybe at the end of this month, hopefully) like me.

    Oh and don't send it in to apple. They won't fix it and will null the warranty

  5. #5
    How can I restore the baseband? When I restore with iTunes to any firmware, I get an error, which I think is because iTunes doesn't update the baseband. I can use iBrickr to boot the iPod, but I still get the "Repair Needed" error. I can't unlock the iPhone because the error won't let me call myself to get the process started.

  6. #6
    restore to 1.1.3 i have this problem to and restorin to 1.1.3 solv my problem... the only thing is that now wen i tray to downgrade to 1.1.1 it gets stock in the restore screen, doengrade to 1.0.2 seems to work

  7. #7
    Quote Originally Posted by espogliare View Post
    restore to 1.1.3 i have this problem to and restorin to 1.1.3 solv my problem... the only thing is that now wen i tray to downgrade to 1.1.1 it gets stock in the restore screen, doengrade to 1.0.2 seems to work
    I have a 1.1.2 (4.6) which I had the same error (Repair Needed). This afternoon, I fixed it by upgraded it to 1.1.3. ... but I can't activiate it. I tried restore to 1.1.1, 1.1.2......I got the error message "iPhone can be restored. An unknown error occurred(1)"

  8. #8
    Like I said before.

    DON"T RESTORE if you still have terminal. Just try to complete the process on terminal, and if it failed, then you have a chance to do it again.

    Thsi happend to me on JB 1.1.2 on a OTB 1.1.2 phone. I restored to 1.1.3 and it DID fix it (not HW hack just trying to downgrade BB), but if you try again and try to restore again, the "repair needed" will appear again (This time I was trying to HW hack it) and this time even restoring to 1.1.3 will not fix it.

    So I have a FUBAR'd phone now.

    Possible fixes for my circumstance:
    1. Get a new comm board from ifixit.com ($150)
    2. Get another iphone, then setup everything to restore BB and BL using terminal and swaping the comm boards to do so.
    3. wait for 1.1.4 to come out and preay to god that it will fix it (being functional).

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •